Provider Analytics
Collect one bounded DEV.to publication snapshot
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= length- body
channelId*stringLength
1 <= lengthpublicationId*stringLength
1 <= lengthResponse for status 200
application/json- response
contractVersion*integerRange
1 <= valueprojectId*stringLength
1 <= lengthprovider*stringfetchedAt*integerRange
0 <= valueinserted*integerRange
0 <= valueduplicates*integerRange
0 <= valueobservations*array<>curl -X POST 'https://postbot.example/api/projects/string/analytics/provider/devto/collect' \
-H 'Content-Type: application/json' \
-d '{
"channelId": "string",
"publicationId": "string"
}'Example Response
{
"contractVersion": 1,
"projectId": "string",
"provider": "devto",
"fetchedAt": 0,
"inserted": 0,
"duplicates": 0,
"observations": [
{
"id": "string",
"projectId": "string",
"provider": "string",
"subjectType": "account",
"providerSubjectId": "string",
"providerSubjectLabel": "string",
"providerContentRevisionId": "string",
"postbotEntityType": "channel",
"postbotEntityId": "string",
"metricName": "string",
"value": 0,
"unit": "string",
"aggregation": "string",
"reportingPeriodStart": 0,
"reportingPeriodEnd": 0,
"observedAt": 0,
"fetchedAt": 0,
"availability": "measured",
"freshness": "fresh",
"provenance": "string"
}
]
}